Package org.mariadb.jdbc.message.server

## Class InitialHandshakePacket

- java.lang.Object
- - org.mariadb.jdbc.message.server.InitialHandshakePacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ServerMessage`

    public final class InitialHandshakePacket
    extends Object
    implements org.mariadb.jdbc.message.ServerMessage

Server initial handshake parser. see https://mariadb.com/kb/en/connection/#initial-handshake-packet

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static InitialHandshakePacket` `decode​(org.mariadb.jdbc.client.ReadableByteBuf reader)` parsing packet
`String` `getAuthenticationPluginType()` return authentication plugin type
`long` `getCapabilities()` Server capabilities
`short` `getDefaultCollation()` Server default collation
`byte[]` `getSeed()` Seed for authentication plugin encryption
`short` `getServerStatus()` Server status flags
`long` `getThreadId()` Server thread id
`org.mariadb.jdbc.client.ServerVersion` `getVersion()` Server Version object

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public static InitialHandshakePacket decode​(org.mariadb.jdbc.client.ReadableByteBuf reader)

parsing packet

Parameters:
  `reader` - packet reader
Returns:
  Parsed packet

#### getVersion

    public org.mariadb.jdbc.client.ServerVersion getVersion()

Server Version object

Returns:
  server version

#### getThreadId

    public long getThreadId()

Server thread id

Returns:
  thread id

#### getSeed

    public byte[] getSeed()

Seed for authentication plugin encryption

Returns:
  seed

#### getCapabilities

    public long getCapabilities()

Server capabilities

Returns:
  server capabilities

#### getDefaultCollation

    public short getDefaultCollation()

Server default collation

Returns:
  server default collation

#### getServerStatus

    public short getServerStatus()

Server status flags

Returns:
  server status

#### getAuthenticationPluginType

    public String getAuthenticationPluginType()

return authentication plugin type

Returns:
  authentication plugin type